Subject: Re: bug#7146: (make-symbol "") issues

From: Stefan Monnier <[email-masked]>
Date: Sat, 16 Jul 2011 23:16:02 -0400

>> Even though this is obscure, this is a bug that can crash (some builds
>> of) Emacs.  So I rather think this should be fixed.  Was any work done
>> towards adding a printed representation of empty-string symbols?
> What would be a good mnemonic?  We need two different representations
> (interned and uninterned), perhaps ## and #= ?

"#:" is the obvious choice for the uninterned representation.
It already works for printing, but is not understood by the reader.

CommonLisp has a |....| syntax for interned symbols which trivially
allows empty symbols, and some Scheme iumplementations adopted it as
well, although R6RS didn't (it did add a \xNNNN notation which allows
for non-ASCII chars, but it doesn't seem to include a notation for empty
symbols).

        Stefan